Some automated rules are missing tracking IDs
03/01/2018 09:20 AM - Jim Pingle

Status: Resolved Start date: 03/01/2018

Priority: Very Low Due date:

Assignee: Jim Pingle % Done: 100%

Category: Rules / NAT Estimated time: 0.00 hour

Target version: 243

Affected Version: All Affected All
Architecture:

Description

Rules created or edited by users (and any rule before config rev 10.7) have a tracking ID added for correlating log events. Some new
automatic rules are missing this ID, including:

e enableallowallwan script rules (also missing creator info)

¢ OpenVPN wizard rules

¢ EasyRule entries

¢ Traffic Shaping Rules (may not need them since they can't log anyhow)

Not a huge deal since none of those seem to log by default and if someone edits them to enable logging, the tracking ID will be
added, but the inconsistency bugs me and it's easy to fix.

Associated revisions

Revision 74afe67c - 03/01/2018 09:42 AM - Jim Pingle

Add tracking to enableallowallwan and change to single rule. Ticket #8353

Revision 7c1aa62b - 03/01/2018 09:43 AM - Jim Pingle

Add missing firewall rule tracker info to automatically generated rules. Fixes #8353

History

#1 - 03/01/2018 09:50 AM - Jim Pingle
- Status changed from Confirmed to Feedback
- % Done changed from 0 to 100

Applied in changeset 7c1aa62bc3890faa8a617a6ea734c703a088c602.

#2 - 03/02/2018 09:46 AM - Jim Pingle

- Status changed from Feedback to Resolved

Works fine
